contacts.doNotCall.add
Add numbers.
Reference
POST/api/v1/do-not-call
- Auth
- API key in
X-API-Key - Content
- application/json
- Returns
- 200 · AddNumbersResponse
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
phone_numbers | body | string[] | required | |
note | body | string | optional |
Example request
curl -X POST "https://api.decibyl.ai/api/v1/do-not-call" \
-H "X-API-Key: dcb_your_key" \
-H "Content-Type: application/json" \
-d '{"phone_numbers":["string"],"note":"string"}'Response
{
"added": 1,
"already_listed": 1,
"rejected": [
"string"
]
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |